#ifndef _UTILS_H
#define _UTILS_H
//#define  PI  3.14159265358979323846


#include <AVBAcad.h>
#include <math.h>
typedef ads_real ads_point[3]; 
typedef double ads_real; 
Acad::ErrorStatus
postToDatabase(/*[in]*/AcDbEntity* pEnt,/*[out]*/AcDbObjectId& idObj);
Acad::ErrorStatus newLine(ads_point pt1, ads_point pt2);
Acad::ErrorStatus
changeColor(AcDbObjectId entId, Adesk::UInt16 newColor);
Acad::ErrorStatus setTypeLine(AcDbObjectId entId,char* nameTypeLine);
bool setIntSysVar(char* pszVarName, int val);
bool setDblSysVar(char* pszVarName, double val);
int getIntSysVar(char* pszVarName);
void highlightAll(const AcDbObjectId& objId);
void unhighlightAll(const AcDbObjectId& objId);
double iterate(AcDbObjectId plineId);
double lenLine(const AcDbObjectId& eId);
int get_ColorIndex(AcDbObjectId entId);
int set_ColorIndex(const char* str);
int printList(struct resbuf *pBuf);
AcGePoint3d
midpoint(const AcGePoint3d& pt1, const AcGePoint3d& pt2);
void chReal(ads_name en, int dxfType ,double nl);
void chSubReal(ads_name en, int dxfType ,double nl);
void 
create2Polyline(AcGePoint3d sp,	AcGePoint3d ep, double sw,
int clInd, char* linTyp);
void pline2dWidth(const AcDb2dPolyline* pline, double sw);
void plineWidth(AcDbObjectId eId, double sw);
double plineLength(AcDbObjectId eId);
static Acad::ErrorStatus
getLayerIdFromString(const char* str, AcDbObjectId& id);
int getLayerColor(char* nameLayer);
const char* getChSysVar(const char* pszVarName);
Acad::ErrorStatus
getSysVar(LPCTSTR varName, int& val);
#endif //_UTILS_H